FLEX(1)

NUME
flex - the fast lexical analyser generator

REZUMAT
flex [OPŢIUNI] [FIŞIER]...

DESCRIERE
Generează programe care caută potriviri de tipare pe un text.

  Compresie de tabele:

-Ca, --align
    renunţă la tabelele mari în favoarea unui aliniament mai bun al memoriei

-Ce, --ecs
    construieşte clase de echivalenţă

-Cf nu compresează tabelele; foloseşte reprezentare -f

-CF nu compresează tabelele; foloseşte reprezentare -F

-Cm, --meta-ecs
    construieşte clase de meta-echivalenţă

-Cr, --read
    foloseşte read() în loc de stdio pentru intrarea de scanner

-f, --full
    generează scannere rapide, mari. Asemănător lui -Cfr

-F, --fast
    foloseşte reprezentare alternativă de tabele. Asemănător lui -CFr

-Cem
    compresie implicită (asemănător lui --ecs --meta-ecs)

  Debugging:

-d, --debug
    activează modul debug în scanner

-b, --backup
    scriere de informaţii de backup în lex.backup

-p, --perf-report
    scrie raportul de performanţă la stderr

-s, --nodefault
    elimină regula implicită de ECHO text care nu se potriveşte

-T, --trace
    flex ar trebui să ruleze în mod trace

-w, --nowarn
    nu generează avertismente

-v, --verbose
    scrie cuprinsul statisticilor scanner-ului la stdout

--hex
    use hexadecimal numbers instead of octal in debug outputs

FIȘIERE

-o, --outfile=FIŞIER
    specifică numele de fişier de ieşire

-S, --skel=FIŞIER
    specifică fişierul schelet

-t, --stdout
    scrie scannerul la stdout în loc de lex.yy.c

--yyclass=NUME
    numele clasei C++

--header-file=FIŞIER
    crează im fişier de header C pe lângăscanner

--tables-file[=FIŞIER] scrie tabelele în FIŞIER

--backup-file=FIŞIER
    write backing-up information to FILE

  Comportament scanner:

-7, --7bit
    generează scanner pe 7-biţi

-8, --8bit
    generează scanner pe 8-biţi

-B, --batch
    generează scanner comandă(batch) (inversul lui -I)

-i, --case-insensitive
    ignoră cazul în tipare

-l, --lex-compat
    compatibilitate maximă cu lex original

-X, --posix-compat
    compatibilitate maximă cu lex POSIX

-I, --interactive
    generează scanner interactive (inversul lui -B)

--yylineno
    urmăreşte numărătoare liniilor în yylineno

  Cod generat:

-+,  --c++
    generează clasă de scanner C++

-Dmacro[=defn]
    #define macro defn (implicit defn is '1')

-L,  --noline
    elimină directivele #line din scanner

-P,  --prefix=ŞIR
    foloseşte ŞIR ca şi prefix în loc de "yy"

-R,  --reentrant
    generează un scanner C circular(reentrant)

--bison-bridge
    scanner pentru analiză pură bison.

--bison-locations
    include suport yylloc.

--stdinit
    iniţializează yyin/yyout către stdin/stdout

--nounistd
    nu include <unistd.h>

--noFUNCŢIE
    nu genera o FUNCŢIE particulară

  Diverse:

-c  opţiune POSIX care nu face nimic

-n  opţiune POSIX care nu face nimic

-?

-h, --help
    produce acest mesaj de ajutor

-V, --version
    raportează versiunea flex

VEDEȚI ȘI
Documentația completă pentru flex este menținută ca un manual Texinfo. Dacă programele info și flex sunt instalate corespunzător la pagina personală, comanda

    info flex

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Eugen Hoanca <eugenh@urban-grafx.ro>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.